Debian Bug report logs - #521974
libgnome2-gconf-perl: Failed to contact configuration server

version graph

Package: libgnome2-gconf-perl; Maintainer for libgnome2-gconf-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libgnome2-gconf-perl is src:libgnome2-gconf-perl.

Reported by: Daniel Schepler <schepler@math.berkeley.edu>

Date: Tue, 31 Mar 2009 01:12:04 UTC

Severity: serious

Tags: confirmed

Found in version libgnome2-gconf-perl/1.044-2

Fixed in version libgnome2-gconf-perl/1.044-3

Done: Ryan Niebur <ryanryan52@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#521974; Package libgnome2-gconf-perl. (Tue, 31 Mar 2009 01:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 31 Mar 2009 01:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: submit@bugs.debian.org
Subject: libgnome2-gconf-perl: Failed to contact configuration server
Date: Mon, 30 Mar 2009 18:11:18 -0700
Package: libgnome2-gconf-perl
Version: 1.044-2
Severity: serious

From my pbuilder build log:

...
   dh_auto_test
make[1]: Entering directory `/tmp/buildd/libgnome2-gconf-perl-1.044'
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 
'blib/arch')" t/*.t
t/00.GConf....Failed to contact configuration server; some possible causes are that you need to 
enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See 
http://www.gnome.org/projects/gconf/ for information. (Details -  1: Not running within active session) 
at t/00.GConf.t line 31.
# Looks like you planned 11 tests but only ran 3.
# Looks like your test died just after 3.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 4-11
        Failed 8/11 tests, 27.27% okay
Failed Test  Stat Wstat Total Fail  List of Failed
-------------------------------------------------------------------------------
t/00.GConf.t  255 65280    11   16  4-11
Failed 1/1 test scripts. 8/11 subtests failed.
Files=1, Tests=11,  0 wallclock secs ( 0.08 cusr +  0.02 csys =  0.10 CPU)
Failed 1/1 test programs. 8/11 subtests failed.
make[1]: *** [test_dynamic] Error 255
make[1]: Leaving directory `/tmp/buildd/libgnome2-gconf-perl-1.044'
dh_auto_test: make returned exit code 2
make: *** [build-stamp] Error 1
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler





Message sent on to Daniel Schepler <schepler@math.berkeley.edu>:
Bug#521974. (Tue, 31 Mar 2009 11:42:02 GMT) Full text and rfc822 format available.

Message #8 received at 521974-submitter@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@unb.ca>
To: 521974-submitter@bugs.debian.org
Subject: Re: Bug#521974: libgnome2-gconf-perl: Failed to contact configuration server
Date: Tue, 31 Mar 2009 08:38:32 -0300
It would be helpful if you could provide for this, and your other perl
bugs, the information that reportbug provides, in particular the build
architecture and versions of all dependencies and build-dependencies.

You can, for example use pbuilder --login and fire up reportbug there
(possibly after installing it) to get the relevant information.

Anything else you can tell us that might be special about your
pbuilder (e.g. lack of network access...) would also be helpful.

Thanks,

David Bremner





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#521974; Package libgnome2-gconf-perl. (Wed, 01 Apr 2009 20:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 01 Apr 2009 20:54:06 GMT) Full text and rfc822 format available.

Message #13 received at 521974@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 521974@bugs.debian.org
Subject: Re: Bug#521974: libgnome2-gconf-perl: Failed to contact configuration server
Date: Wed, 1 Apr 2009 22:51:26 +0200
[Message part 1 (text/plain, inline)]
On Mon, 30 Mar 2009 18:11:18 -0700, Daniel Schepler wrote:

> From my pbuilder build log:
          ^^^^^^^^

 
> ...
>    dh_auto_test
> make[1]: Entering directory `/tmp/buildd/libgnome2-gconf-perl-1.044'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 
> 'blib/arch')" t/*.t
> t/00.GConf....Failed to contact configuration server; some possible causes are that you need to 
> enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See 
> http://www.gnome.org/projects/gconf/ for information. (Details -  1: Not running within active session) 
> at t/00.GConf.t line 31.

Same here (with cowbuilder).

I'm wondering if this ever works in a chroot or if you have to patch
the test for that cases?


Cheers
gregor
 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Pink Floyd: One Of My Turns
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 01 Apr 2009 22:27:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#521974; Package libgnome2-gconf-perl. (Wed, 01 Apr 2009 23:39:02 GMT) Full text and rfc822 format available.

Message #18 received at 521974@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 521974@bugs.debian.org, 521974-submitter@bugs.debian.org
Subject: Bug in libgnome2-gconf-perl fixed in revision 32511
Date: Wed, 01 Apr 2009 23:36:07 +0000
tag 521974 + pending
thanks

Some bugs are closed in revision 32511
by Ryan Niebur (ryan52-guest)

Commit message:

run tests under dbus-launch (Closes: #521974)




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 01 Apr 2009 23:39:03 GMT) Full text and rfc822 format available.

Message sent on to Daniel Schepler <schepler@math.berkeley.edu>:
Bug#521974. (Wed, 01 Apr 2009 23:39:05 GMT) Full text and rfc822 format available.

Reply sent to Ryan Niebur <ryanryan52@gmail.com>:
You have taken responsibility. (Thu, 02 Apr 2009 15:48:03 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. (Thu, 02 Apr 2009 15:49:25 GMT) Full text and rfc822 format available.

Message #28 received at 521974-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 521974-close@bugs.debian.org
Subject: Bug#521974: fixed in libgnome2-gconf-perl 1.044-3
Date: Thu, 02 Apr 2009 15:17:43 +0000
Source: libgnome2-gconf-perl
Source-Version: 1.044-3

We believe that the bug you reported is fixed in the latest version of
libgnome2-gconf-perl, which is due to be installed in the Debian FTP archive:

libgnome2-gconf-perl_1.044-3.diff.gz
  to pool/main/libg/libgnome2-gconf-perl/libgnome2-gconf-perl_1.044-3.diff.gz
libgnome2-gconf-perl_1.044-3.dsc
  to pool/main/libg/libgnome2-gconf-perl/libgnome2-gconf-perl_1.044-3.dsc
libgnome2-gconf-perl_1.044-3_i386.deb
  to pool/main/libg/libgnome2-gconf-perl/libgnome2-gconf-perl_1.044-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521974@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryanryan52@gmail.com> (supplier of updated libgnome2-gconf-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Apr 2009 16:40:51 -0700
Source: libgnome2-gconf-perl
Binary: libgnome2-gconf-perl
Architecture: source i386
Version: 1.044-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ryan Niebur <ryanryan52@gmail.com>
Description: 
 libgnome2-gconf-perl - Perl interface to the GNOME GConf library
Closes: 521974
Changes: 
 libgnome2-gconf-perl (1.044-3) unstable; urgency=low
 .
   * run tests under dbus-launch (Closes: #521974)
     - using override_* targets, increase version on debhelper dependency
   * Debian Policy 3.8.1
Checksums-Sha1: 
 c25955245c45612eeba05412162f7bcb3daf31b1 1474 libgnome2-gconf-perl_1.044-3.dsc
 fb8483b9efc315f1b0b879c92511a4ae61078ecf 3158 libgnome2-gconf-perl_1.044-3.diff.gz
 27fe666b7bad54b4094d3977949262e4213d7155 102526 libgnome2-gconf-perl_1.044-3_i386.deb
Checksums-Sha256: 
 3f1a4b445e07609cdc7a95c95ca129f7dca7792e478cf207142ac8b9ef3c2c57 1474 libgnome2-gconf-perl_1.044-3.dsc
 ad7e67d7e10af4822e8d33a6f6afe7d6eff527a8b3f1d98bd845630a33befc25 3158 libgnome2-gconf-perl_1.044-3.diff.gz
 49fd49e251424fc41eebc93ff3e8e4629c291cd2b4b5865e1078a8a3d3acb008 102526 libgnome2-gconf-perl_1.044-3_i386.deb
Files: 
 bbfb239a417b7b3dbb089e25bcc04799 1474 perl optional libgnome2-gconf-perl_1.044-3.dsc
 d293b55f5a1baf1114c5d8293d796499 3158 perl optional libgnome2-gconf-perl_1.044-3.diff.gz
 53bd0629dc0fafff9e05545fd72dbf57 102526 perl optional libgnome2-gconf-perl_1.044-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknU1DkACgkQOzKYnQDzz+SbTgCg5cdTNPSHIfFGCI08o675tg0z
EU4AoPJwm/dNoLp7RF1hJ27/GTNBW6Cy
=cYGQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 May 2009 07:35:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:08:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.